%define oname plasma-mediacenter

Summary:	Plasma 5 media center
Name:		plasma5-mediacenter
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5activities-devel
BuildRequires:	kf5baloo-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5filemetadata-devel
BuildRequires:	kf5guiaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(taglib)
Requires:	plasma5-shell-mediacenter
Requires:	plasma5-workspace
Conflicts:	plasma-mediacenter

%description
Plasma 5 media center.

%files -f plasma-mediacenter.lang
%{_kde5_applicationsdir}/plasma-mediacenter.desktop
%{_kde5_datadir}/xsessions/plasma-mediacenter.desktop
%{_kde5_iconsdir}/hicolor/*/actions/pmc-back.*
%{_kde5_servicetypes}/pmc_browsingbackend.desktop
%{_kde5_servicetypes}/pmc_datasource.desktop
%{_qt5_plugindir}/plasma/mediacenter/browsingbackends/pmc_metadatamusicbackend.so
%{_qt5_plugindir}/plasma/mediacenter/browsingbackends/pmc_metadatapicturebackend.so
%{_qt5_plugindir}/plasma/mediacenter/browsingbackends/pmc_metadatavideobackend.so
%{_qt5_plugindir}/plasma/mediacenter/datasources/pmc_baloosearch.so
%{_qt5_plugindir}/plasma/mediacenter/datasources/pmc_filesystemsearch.so
%{_qt5_plugindir}/plasma/mediacenter/datasources/pmc_lastfm.so

#----------------------------------------------------------------------------

%package -n plasma5-shell-mediacenter
Summary:	Plasma 5 media center shell
Group:		Graphical desktop/KDE
# Not sure if it's required
Suggests:	%{name}

%description -n plasma5-shell-mediacenter
Plasma 5 media center shell.

%files -n plasma5-shell-mediacenter -f plasma_shell_org.kde.plasma.mediacenter.lang
%dir %{_kde5_datadir}/plasma/shells/org.kde.plasma.mediacenter/
%{_kde5_datadir}/plasma/shells/org.kde.plasma.mediacenter/*
%{_kde5_services}/plasma-shell-org.kde.plasma.mediacenter.desktop

#----------------------------------------------------------------------------

%define qmlplasma_mediacenter %mklibname plasma-mediacenter-qml

%package -n %{qmlplasma_mediacenter}
Summary:	QML plugins for Plasma 5 media center
Group:		System/Libraries
Provides:	plasma-mediacenter-qml = %{EVRD}

%description -n %{qmlplasma_mediacenter}
QML plugins for Plasma 5 media center.

%files -n %{qmlplasma_mediacenter}
%dir %{_kde5_qmldir}/org/kde/plasma/mediacenter/
%{_kde5_qmldir}/org/kde/plasma/mediacenter/*

#----------------------------------------------------------------------------

%define plasmamediacenter_major 5
%define libplasmamediacenter %mklibname plasmamediacenter %{plasmamediacenter_major}

%package -n %{libplasmamediacenter}
Summary:	Plasma 5 media center shared library
Group:		System/Libraries
Requires:	plasma-mediacenter-qml

%description -n %{libplasmamediacenter}
Plasma 5 media center shared library.

%files -n %{libplasmamediacenter}
%{_kde5_libdir}/libplasmamediacenter.so.%{plasmamediacenter_major}
%{_kde5_libdir}/libplasmamediacenter.so.%{version}

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang plasma-mediacenter
%find_lang plasma_shell_org.kde.plasma.mediacenter

%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (d5b337f) New version 5.7.2


